Index: tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java
===================================================================
--- tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java	(revision 1337)
+++ tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java	(revision 1338)
@@ -101,7 +101,7 @@
 					JobsTimer.start();
 
 					if (!(element instanceof CQPCorpus)) {
-						System.out.println(TXMUIMessages.cannotComputeCooccurrencesWithTheSelection+ element);
+						Log.severe(TXMCoreMessages.bind(TXMUIMessages.cannotComputeCooccurrencesWithTheSelection, element));
 						return Status.CANCEL_STATUS;
 					}
 					CQPCorpus corpus = ((CQPCorpus)element);
@@ -122,7 +122,7 @@
 
 					if (cooc == null) return null;
 
-					System.out.println(TXMUIMessages.coocMatrixDDot+cooc.getSymbol());
+					Log.info(TXMCoreMessages.bind(TXMUIMessages.coocMatrixDDot, cooc.getSymbol()));
 
 					syncExec(new Runnable() {
 						@Override
@@ -137,8 +137,11 @@
 					return Status.CANCEL_STATUS;
 				} catch (Exception e) {
 					Log.printStackTrace(e);
-					try { System.out.println(TXMUIMessages.lastCQPErrorDDot+CQPSearchEngine.getCqiClient().getLastCQPError());
-					} catch (Exception e1) { e1.printStackTrace(); }
+					try {
+						Log.severe(TXMCoreMessages.bind(TXMUIMessages.lastCQPErrorDDot, CQPSearchEngine.getCqiClient().getLastCQPError()));
+					} catch (Exception e1) {
+						e1.printStackTrace();
+						}
 				} finally {
 					monitor.done();
 					JobsTimer.stopAndPrint();
@@ -163,8 +166,8 @@
 		getQueriesAndNames(dialog.getQueryFile1(), queries1, names1);
 		getQueriesAndNames(dialog.getQueryFile2(), queries2, names2);
 
-		System.out.println(TXMCoreMessages.common_queries + queries1);
-		System.out.println(TXMUIMessages.namesDDot+names1);
+		Log.info(TXMCoreMessages.bind(TXMCoreMessages.common_queriesDDotP0, queries1));
+		Log.info(TXMCoreMessages.bind(TXMUIMessages.namesDDot, names1));
 
 		QueryCooccurrence cooc = null;
 		try {
@@ -174,14 +177,19 @@
 			cooc = new QueryCooccurrence(corpus);
 			cooc.setParameters(queries1, names1, queries2, names2, dist, min, struct);
 			cooc.compute();
-			System.out.println(TXMUIMessages.numberOfNodesDDot+cooc.getNNodes());
-			System.out.println(TXMUIMessages.numberOfEdgesDDot+cooc.getNEdges());
-			System.out.println(TXMUIMessages.distance_2+dist);
+			
+			Log.info(TXMCoreMessages.bind(TXMUIMessages.numberOfNodesDDot, cooc.getNNodes()));
+			Log.info(TXMCoreMessages.bind(TXMUIMessages.numberOfEdgesDDot, cooc.getNEdges()));
+			Log.info(TXMCoreMessages.bind(TXMUIMessages.distance_2, dist));
+			
 		} catch (Exception e) {
 			// TODO Auto-generated catch block
 			Log.printStackTrace(e);
-			try { System.out.println(TXMUIMessages.lastCQPErrorDDot+CQPSearchEngine.getCqiClient().getLastCQPError());
-			} catch (Exception e1) { e1.printStackTrace(); }
+			try {
+				Log.severe(TXMCoreMessages.bind(TXMUIMessages.lastCQPErrorDDot, CQPSearchEngine.getCqiClient().getLastCQPError()));
+			} catch (Exception e1) {
+				e1.printStackTrace();
+				}
 		}
 		return cooc;
 	}
Index: tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java
===================================================================
--- tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java	(revision 1337)
+++ tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java	(revision 1338)
@@ -99,7 +99,7 @@
 					JobsTimer.start();
 
 					if (!(element instanceof QueryIndex)) {
-						System.out.println(TXMUIMessages.cannotComputeCooccurrencesWithTheSelection+ element);
+						Log.severe(TXMCoreMessages.bind(TXMUIMessages.cannotComputeCooccurrencesWithTheSelection, element));
 						return Status.CANCEL_STATUS;
 					}
 					QueryIndex qi = ((QueryIndex)element);
@@ -121,7 +121,7 @@
 
 					if (cooc == null) return null;
 					
-					System.out.println(TXMUIMessages.coocMatrixDDot+cooc.getSymbol());
+					Log.info(TXMCoreMessages.bind(TXMUIMessages.coocMatrixDDot, cooc.getSymbol()));
 
 					syncExec(new Runnable() {
 						@Override
@@ -136,8 +136,11 @@
 					return Status.CANCEL_STATUS;
 				} catch (Exception e) {
 					Log.printStackTrace(e);
-					try { System.out.println(TXMUIMessages.lastCQPErrorDDot+CQPSearchEngine.getCqiClient().getLastCQPError());
-					} catch (Exception e1) { e1.printStackTrace(); }
+					try {
+						Log.severe(TXMCoreMessages.bind(TXMUIMessages.lastCQPErrorDDot, CQPSearchEngine.getCqiClient().getLastCQPError()));
+					} catch (Exception e1) {
+						e1.printStackTrace();
+					}
 				} finally {
 					monitor.done();
 					JobsTimer.stopAndPrint();
@@ -165,8 +168,8 @@
 			names.add(line.getName());
 		}
 
-		System.out.println(TXMCoreMessages.common_queries+queries);
-		System.out.println(TXMUIMessages.namesDDot+names);
+		System.out.println(TXMCoreMessages.bind(TXMCoreMessages.common_queriesDDotP0, queries));
+		System.out.println(TXMCoreMessages.bind(TXMUIMessages.namesDDot, names));
 
 		QueryAutoCooccurrence cooc = null;
 		try {
@@ -176,19 +179,24 @@
 			System.out.println("Estimated time: "+(nqueries*reqtime/1000)+" secs");
 			cooc = new QueryAutoCooccurrence(corpus);
 			cooc.setParameters(queries, names, dist, min, struct, oriented, new ConsoleProgressBar(nqueries));
-			System.out.println(TXMUIMessages.numberOfNodesDDot+cooc.getNNodes());
-			System.out.println(TXMUIMessages.numberOfEdgesDDot+cooc.getNEdges());
-			System.out.println(TXMUIMessages.distance_2+dist);
+			
+			Log.info(TXMCoreMessages.bind(TXMUIMessages.numberOfNodesDDot, cooc.getNNodes()));
+			Log.info(TXMCoreMessages.bind(TXMUIMessages.numberOfEdgesDDot, cooc.getNEdges()));
+			Log.info(TXMCoreMessages.bind(TXMUIMessages.distance_2, dist));
 
 			if (outfile != null) {
 				cooc.toGraphml(outfile);
-				System.out.println(TXMUIMessages.writingCoocMatrixInGRAPHMLFileDDot+outfile);
+				
+				Log.info(TXMCoreMessages.bind(TXMUIMessages.writingCoocMatrixInGRAPHMLFileDDot, outfile));
 			}
 
 		} catch (Exception e) {
 			Log.printStackTrace(e);
-			try { System.out.println(TXMUIMessages.lastCQPErrorDDot+CQPSearchEngine.getCqiClient().getLastCQPError());
-			} catch (Exception e1) { e1.printStackTrace(); }
+			try {
+				Log.severe(TXMCoreMessages.bind(TXMUIMessages.lastCQPErrorDDot, CQPSearchEngine.getCqiClient().getLastCQPError()));
+			} catch (Exception e1) {
+				e1.printStackTrace();
+			}
 		}
 		return cooc;
 	}
Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/NormalizeKeys.java
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/NormalizeKeys.java	(revision 1337)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/NormalizeKeys.java	(revision 1338)
@@ -32,7 +32,6 @@
 
 	/**
 	 * Java keywords that can not be used as variable name.
-	 * Also can not start by a number
 	 */
 	public static String javaKeyWords = "`abstract|assert|boolean|break|byte|case|catch|char|class|const|continue|default|do|double|else|enum|extends|false|final|finally|float|for|goto|if|implements|import|instanceof|int|interface|long|native|new|null|package|private|protected|public|return|short|static|strictfp|super|switch|synchronized|this|throw|throws|transient|true|try|void|volatile|while`i";
 
Index: tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 1337)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 1338)
@@ -29,7 +29,7 @@
 	public static String common_ok;
 	public static String common_properties;
 	public static String common_property;
-	public static String common_queries;
+	public static String common_queriesDDotP0;
 	public static String common_query;
 	public static String common_reference;
 	public static String common_rows;
Index: tmp/org.txm.properties.core/src/org/txm/properties/core/messages/PropertiesCoreMessages.java
===================================================================
--- tmp/org.txm.properties.core/src/org/txm/properties/core/messages/PropertiesCoreMessages.java	(revision 1337)
+++ tmp/org.txm.properties.core/src/org/txm/properties/core/messages/PropertiesCoreMessages.java	(revision 1338)
@@ -19,7 +19,7 @@
 
 	
 	public static String structuralUnitsProperties; 
-	public static String failedToAccessCorpus; 
+	public static String error_failedToAccessPropertieOfCorpusP0; 
 	public static String structures; 
 	public static String lexicalUnitsPropertiesMaxP0Values; 
 	public static String numberOfStructuralUnits; 
@@ -36,7 +36,8 @@
 	public static String numberOfWords; 
 	public static String lexicon; 
 	public static String numberOfWordProperties; 
-
+	public static String error_failedToAccessLexiconOfCorpusP0;
+	public static String error_failedToAccessStructuresOfCorpusP0;
 	
 	
 	static {
Index: tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java
===================================================================
--- tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java	(revision 1337)
+++ tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java	(revision 1338)
@@ -39,6 +39,7 @@
 
 import org.eclipse.osgi.util.NLS;
 import org.txm.Toolbox;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
@@ -166,7 +167,7 @@
 			properties = corpus.getProperties();
 			NProperties = properties.size();
 		} catch (CqiClientException e) {
-			Log.severe(PropertiesCoreMessages.failedToAccessCorpus + corpus.getName() + PropertiesCoreMessages.properties);
+			Log.severe(TXMCoreMessages.bind(PropertiesCoreMessages.error_failedToAccessPropertieOfCorpusP0, corpus.getName()));
 			Log.printStackTrace(e);
 			return;
 		}
@@ -174,7 +175,7 @@
 		try {
 			numberOfWords = corpus.getSize();// corpus.getLexicon(corpus.getProperty("id")).nbrOfToken();
 		} catch (CqiClientException e) {
-			Log.severe(PropertiesCoreMessages.failedToAccessCorpus + corpus.getName() + PropertiesCoreMessages.lexicon);
+			Log.severe(TXMCoreMessages.bind(PropertiesCoreMessages.error_failedToAccessLexiconOfCorpusP0, corpus.getName()));
 			Log.printStackTrace(e);
 			return;
 		}
@@ -217,7 +218,7 @@
 		try {
 			structures = corpus.getOrderedStructuralUnits();
 		} catch (CqiClientException e) {
-			Log.severe(PropertiesCoreMessages.failedToAccessCorpus + corpus.getName() + PropertiesCoreMessages.structures);
+			Log.severe(TXMCoreMessages.bind(PropertiesCoreMessages.error_failedToAccessStructuresOfCorpusP0, corpus.getName()));
 			Log.printStackTrace(e);
 			return;
 		}
